/**
 * JASMINe
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: NotificationComparator.java 7645 2011-02-01 15:40:31Z jlegrand $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notification.service;

import java.util.Comparator;

import org.ow2.jasmine.event.beans.JasmineEventNotification;

/**
 * Compares JASMINe Event notifications.
 */
public class NotificationComparator implements Comparator<JasmineEventNotification> {

    /**
     * Compares dates, and then notification identifers.
     */
    public int compare(JasmineEventNotification o1, JasmineEventNotification o2) {
        final int dateCompare = o1.getDate().compareTo(o2.getDate());

        if (dateCompare == 0) {
            return o1.getId().compareTo(o2.getId());
        } else {
            return dateCompare;
        }
    }

}
