/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ExportNotifsCSVServlet.java 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notification.service.export;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author radua
 */

public class ExportNotifsCSVServlet extends HttpServlet {
    /**
     * Servlet class that "reflects" the content received via the parameter
     * and sends it back to the output stream. This servlet is used in order to
     * export the notification csv file.
     */


    /**
     * serialVersionUID.
     */
    private static final long serialVersionUID = 1L;

    /**
     * Name of the parameter.
     */
    private static final String CSV_PARAMETER = "csvdata";

    @Override
    protected void doPost(final HttpServletRequest req, final HttpServletResponse res) throws ServletException, IOException{
          doGet(req, res);
    }

    @Override
    protected void doGet(final HttpServletRequest req, final HttpServletResponse res) throws ServletException, IOException{
            res.setHeader("Content-Type", "text/csv");
            if (req.getParameter(CSV_PARAMETER) != null){
                res.getOutputStream().print(req.getParameter(CSV_PARAMETER));
            }
            else {
                res.getOutputStream().print(" ");
            }
    }


}
